stages:
  - test
  - build
  - release

variables:
  TERRAFORM_REGISTRY_MODULE_NAME: tools-k8s
  TERRAFORM_REGISTRY_SYSTEM_NAME: mailcatcher
  HELM_CHART_NAME: mailcatcher

include:
  - project: vigigloo/gitlab-pipeline-fragments
    ref: v1
    file:
      - registry/terraform.auto.yml
      - registry/helm.auto.yml
      - docker.auto.yml

docker:kaniko:build:development:
  variables:
    CI_APPLICATION_REPOSITORY: $CI_REGISTRY_IMAGE
    CI_APPLICATION_TAG: $MAILCATCHER_VERSION
  parallel:
    matrix:
      - MAILCATCHER_VERSION: 0.8.0

".vigigloo:terraform":
  image:
    name: hashicorp/terraform:1.5

